Get an incident
Show detailed information about an incident. Accepts either an incident id, or an incident number.
An incident represents a problem or an issue that needs to be addressed and resolved.
For more information see the API Concepts Document
Scoped OAuth requires: incidents.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the resource.
Query Parameters
Array of additional details to include.
Value in
- "acknowledgers"
- "agents"
- "assignees"
- "conference_bridge"
- "custom_fields"
- "escalation_policies"
- "first_trigger_log_entries"
- "priorities"
- "services"
- "teams"
- "users"
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
List Notification Subscribers GET
Retrieve a list of Notification Subscribers on the Incident. <!-- theme: warning --> > Users must be added through `POST /incident/{id}/status_updates/subscribers` to be returned from this endpoint. Scoped OAuth requires: `subscribers.read`
Get Outlier Incident GET
Gets Outlier Incident information for a given Incident on its Service. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#outlier-incident) Scoped OAuth requires: `incidents.read`